KF5-CONFIG(1)

NOME
kf5-config - Mostra os caminhos da instalação do Qt(TM) e Frameworks

SINOPSE

kf5-config [--expandvars] [--prefix] [--exec-prefix] [--libsuffix] [--localprefix] [--version] [--kde-version] [--types] [--path tipo] [--userpath tipo] [--install tipo] [--qt-prefix] [--qt-binaries] [--qt-libraries] [--qt-plugins]

DESCRIçãO

O kf5-config é um programa de linha de comando que é usado para obter informações sobre os caminhos de instalação do Frameworks ou dos usuários.

Use este programa para determinar onde residem os vários aspectos da instalação do Frameworks no seu sistema.

    Nota

    O kf5-config é basicamente um substituto obsoleto para o kde4-config, já que a ferramenta recomendada é o qtpaths (que é disponibilizada pelo Qt(TM)).

OPçõES

--expandvars
    expande o ${prefix} e o ${exec_prefix} no resultado

--prefix
    O prefixo pré-compilado para as bibliotecas do Frameworks

--exec-prefix
    O prefixo de executáveis pré-compilado para as bibliotecas do Frameworks

--libsuffix
    O sufixo pré-compilado do local das bibliotecas

--localprefix
    O prefixo usado na $HOME para salvar os arquivos

--version
    String de versão e compilação do Qt(TM) para as bibliotecas dos Frameworks e do kf5-config

--kde-version
    O texto pré-compilado da versão das bibliotecas do Frameworks

--types
    Imprime uma lista com todos os tipos de recursos do KDE disponíveis

--path tipo
    Procura no local pelo tipo indicado

--userpath tipo
    Os caminhos do usuário para os tipos: desktop|document

--install tipo
    O prefixo onde instalar os arquivos de recursos

--qt-prefix
    Prefixo de instalação do Qt(TM)

--qt-binaries
    Localização dos binários do Qt(TM) instalados

--qt-libraries
    Localização das bibliotecas do Qt(TM) instaladas

--qt-plugins
    Localização dos plugins do Qt(TM) instalados

EXEMPLOS

Imprimir a pasta de instalação de topo do Frameworks:

% kf5-config --prefix

Imprimir uma lista com todos os tipos de recursos:

% kf5-config --types

Imprimir o local de instalação dos papéis de parede:

% kf5-config --path wallpaper

VEJA TAMBéM

kf5options(7)

PROBLEMAS

Nenhum conhecido.

AUTOR

Stephan Kulow <coolo@kde.org>
    Autor.